module Hydrogen.Prelude.Parsec (
    module Hydrogen.Prelude
  , module Text.Parsec
  , (<:>)
  , (<++>)
  ) where

import Hydrogen.Prelude hiding (
    (<|>),
    many,
    label,
    optional,
    lookAhead)
import Text.Parsec


(<:>) :: Applicative a => a e -> a [e] -> a [e]
(<:>) = liftA2 (:)
infixr 5 <:>

(<++>) :: Applicative a => a [e] -> a [e] -> a [e]
(<++>) = liftA2 (++)
infixr 5 <++>


